.c-instagram-feed {
  position: relative;
}
.c-instagram-feed__list {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
}
.c-instagram-feed__list-item {
  width: 50%;
  padding: 1.5px;
}
@media screen and (min-width: 768px) {
  .c-instagram-feed__list-item {
    width: 25%;
  }
}
@media screen and (max-width: 767px) {
  .c-instagram-feed__list-item:nth-child(n+16) {
    display: none;
  }
}
.c-instagram-feed__link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 100%;
  max-width: 300px;
  padding: 7px 14px;
  margin: 16px auto 0;
  border-radius: 4px;
  font-size: 13px;
  color: #fff;
  background-color: rgb(244, 169, 0);
  text-decoration: none;
  gap: 0.5em;
}
.c-instagram-feed__link-icon {
  width: 13px;
}
.c-instagram-feed * {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}
.c-instagram-feed a {
  color: inherit;
}
html:not(._is-instagram-loaded) .c-instagram-feed {
  pointer-events: none;
}
html:not(._is-instagram-loaded) .c-instagram-feed:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  z-index: 1;
}
html:not(._is-instagram-loaded) .c-instagram-feed:after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  width: 40px;
  height: 40px;
  margin: auto;
  clear: both;
  border: 4px rgba(0, 0, 0, 0.25) solid;
  border-top: 4px black solid;
  border-radius: 50%;
  -webkit-animation: spCircRot 1.5s infinite linear;
  animation: spCircRot 1.5s infinite linear;
  z-index: 1;
}
@-webkit-keyframes spCircRot {
  from {
    -webkit-transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(359deg);
  }
}
@keyframes spCircRot {
  from {
    -webkit-transform: rotate(0deg);
            transform: rotate(0deg);
  }
  to {
    -webkit-transform: rotate(359deg);
            transform: rotate(359deg);
  }
}

.c-instagram-feed-card {
  position: relative;
  display: block;
  width: 100%;
  aspect-ratio: 1/1;
  overflow: hidden;
  cursor: pointer;
  background-color: #333333;
}
.c-instagram-feed-card__guide {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
}
.c-instagram-feed-card__guide-icon {
  position: absolute;
  top: 0;
  right: 0;
  margin: 5px;
  z-index: 1;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  color: #fff;
}
.c-instagram-feed-card__guide-detail {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 100%;
  height: 100%;
  color: #fff;
  font-weight: bold;
  font-size: 16px;
  opacity: 0;
  -webkit-transition: opacity 500ms;
  transition: opacity 500ms;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.5);
}
.c-instagram-feed-card__thumbnail {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
  -webkit-transition: opacity 500ms, -webkit-transform 200ms;
  transition: opacity 500ms, -webkit-transform 200ms;
  transition: transform 200ms, opacity 500ms;
  transition: transform 200ms, opacity 500ms, -webkit-transform 200ms;
}
.c-instagram-feed-card:hover .c-instagram-feed-card__guide-detail {
  opacity: 1;
}
.c-instagram-feed-card:hover .c-instagram-feed-card__thumbnail {
  -webkit-transform: scale(1.1);
          transform: scale(1.1);
  -webkit-transform-origin: center;
          transform-origin: center;
}

@media screen and (min-width: 768px) {
  .c-instagram-viewer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
}
@media screen and (max-width: 767px) {
  .c-instagram-viewer {
    display: block;
  }
}
.c-instagram-viewer__view {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-flex: 1;
      -ms-flex: 1 1 0px;
          flex: 1 1;
  background: #333;
}
.c-instagram-viewer__view-image {
  display: block;
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: calc(100vh - 160px);
  margin: auto;
}
.c-instagram-viewer__view .swiper {
  width: 100%;
  height: auto;
}
.c-instagram-viewer__view .swiper-slide {
  text-align: center;
  font-size: 18px;
}
.c-instagram-viewer__view .swiper .swiper-slide {
  height: 300px;
  line-height: 300px;
}
.c-instagram-viewer__view .swiper .swiper-slide:nth-child(2n) {
  height: 500px;
  line-height: 500px;
}
.c-instagram-viewer__view .swiper-button-next,
.c-instagram-viewer__view .swiper-button-prev {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background-color: rgba(255, 255, 255, 0.5);
  color: rgba(0, 0, 0, 0.8);
  font-size: 15px;
}
.c-instagram-viewer__view .swiper-button-next:after,
.c-instagram-viewer__view .swiper-button-prev:after {
  font-size: inherit;
}
.c-instagram-viewer__view .swiper-button-next[aria-disabled=true],
.c-instagram-viewer__view .swiper-button-prev[aria-disabled=true] {
  opacity: 0;
}
.c-instagram-viewer__view .swiper-pagination-bullet-active {
  background-color: #fff;
}
.c-instagram-viewer__block {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  border-left: 1px solid rgb(239, 239, 239);
  width: 100%;
}
@media screen and (min-width: 768px) {
  .c-instagram-viewer__block {
    width: 50%;
    max-width: 500px;
    min-width: 405px;
    max-height: calc(100vh - 160px);
    overflow: auto;
  }
}
.c-instagram-viewer__head {
  width: 100%;
  padding: 16px 16px 16px;
}
@media screen and (min-width: 768px) {
  .c-instagram-viewer__head {
    padding: 16px 32px 16px;
  }
}
.c-instagram-viewer__body {
  width: 100%;
  -webkit-box-flex: 1;
      -ms-flex: 1 1 0px;
          flex: 1 1;
  padding: 16px 16px 16px;
}
@media screen and (min-width: 768px) {
  .c-instagram-viewer__body {
    padding: 16px 32px 16px;
  }
}
.c-instagram-viewer__body:not(:first-child) {
  border-top: 1px solid rgb(239, 239, 239);
}
.c-instagram-viewer__foot {
  width: 100%;
  border-top: 1px solid rgb(239, 239, 239);
  padding: 16px 16px 16px;
}
@media screen and (min-width: 768px) {
  .c-instagram-viewer__foot {
    padding: 16px 32px 16px;
  }
}
.c-instagram-viewer__user {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  text-decoration: none;
}
.c-instagram-viewer__user-image {
  overflow: hidden;
  display: block;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  -o-object-fit: cover;
     object-fit: cover;
  -o-object-position: center;
     object-position: center;
}
.c-instagram-viewer__user-name {
  margin: 0 0 0 14px;
  font-size: 14px;
  font-weight: bold;
}
.c-instagram-viewer__caption {
  font-size: 14px;
  line-height: 18px;
  white-space: pre-wrap;
}
.c-instagram-viewer__caption ._url {
  color: rgb(0, 86, 179);
  text-decoration: underline;
}
.c-instagram-viewer__caption ._hash {
  color: rgb(0, 55, 107);
  text-decoration: none;
}
.c-instagram-viewer__timestamp {
  margin: 10px 0 0;
  font-size: 12px;
  color: #727272;
}
.c-instagram-viewer__link {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  padding: 7px 14px;
  border-radius: 4px;
  font-size: 13px;
  color: #fff;
  background-color: rgb(244, 169, 0);
  text-decoration: none;
  gap: 0.5em;
}
.c-instagram-viewer__link-icon {
  width: 13px;
}

.c-instagram-modal {
  position: fixed;
  top: 0;
  left: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  height: 100%;
  padding: 64px 16px 128px;
  z-index: 1000;
  overflow: auto;
}
@media screen and (min-width: 768px) {
  .c-instagram-modal {
    padding: 80px 40px 50px;
  }
}
.c-instagram-modal__container {
  position: relative;
  background-color: #fff;
  width: 100%;
  min-width: 280px;
  max-width: 960px;
  margin: auto;
  border-radius: 5px;
}
.c-instagram-modal__container-close {
  position: absolute;
  bottom: 100%;
  right: 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 40px;
  height: 40px;
  -webkit-transition: opacity linear 0.2s;
  transition: opacity linear 0.2s;
  font-size: 30px;
  color: #fff !important;
  text-decoration: none;
}
.c-instagram-modal__container-prev, .c-instagram-modal__container-next {
  position: absolute;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  top: 0;
  bottom: 0;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  width: 40px;
  height: 40px;
  margin: auto;
  -webkit-transition: opacity linear 0.2s;
  transition: opacity linear 0.2s;
  font-size: 30px;
  color: #fff;
  text-decoration: none;
}
.c-instagram-modal__container-prev {
  right: 100%;
}
.c-instagram-modal__container-next {
  left: 100%;
}
.c-instagram-modal__container-close:hover {
  opacity: 0.7;
}
.c-instagram-modal__container-close img:nth-child(n) {
  -webkit-transition: none !important;
  transition: none !important;
  opacity: 1 !important;
}
.c-instagram-modal__head {
  padding: 26px 0 27px;
  background-color: #e5f2e8;
  border-radius: 10px 10px 0 0;
}
.c-instagram-modal__head-title {
  text-align: center;
}
.c-instagram-modal__head-tips {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  margin: 16px 0 0;
}
.c-instagram-modal__head-tips-item {
  margin: 0 7.5px 0;
}
.c-instagram-modal__body {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 20px 0 31px;
}
.c-instagram-modal__body-list {
  margin: 14px 0 0;
}
.c-instagram-modal__body-list-item:not(:first-child) {
  margin-top: 25px;
}
.c-instagram-modal__body-button {
  margin: 35px 0 0;
}
.c-instagram-modal__body-close {
  margin: 21px 0 0;
  -webkit-transition: opacity linear 0.2s;
  transition: opacity linear 0.2s;
}
.c-instagram-modal__body-close:hover {
  opacity: 0.7;
}
.c-instagram-modal__body-close img:nth-child(n) {
  -webkit-transition: none !important;
  transition: none !important;
  opacity: 1 !important;
}
.c-instagram-modal__ghost {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
}